from setuptools import setup, find_packages

setup(
    name="neovortex",
    version="1.0.0",
    author="Hitesh Rajpurohit",
    description="A fast, flexible HTTP client for Python with advanced features and plugin support",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/rajpurohithitesh/neovortex",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: Internet :: WWW/HTTP",
    ],
    python_requires=">=3.9",
    install_requires=[
        "httpx[http2]>=0.23.0",
        "aiohttp>=3.8.0",
        "pydantic>=1.10.0",
        "oauthlib>=3.2.0",
        "requests-oauthlib>=1.3.0",
        "pyjwt>=2.6.0",
        "redis>=4.5.0",
        "prometheus-client>=0.16.0",
        "websockets>=10.4",
        "click>=8.1.0",
        "cryptography>=42.0.0",
        "boto3>=1.28.0",
        "botocore>=1.31.0",
        "sentry-sdk>=1.30.0",
        "elasticsearch>=8.0.0",
        "jsonschema>=4.17.0",
        "xmltodict>=0.13.0",
        "graphql-core>=3.2.0",
        "PyYAML>=6.0.0",
        "hvac>=1.0.0",
    ],
    entry_points={
        "console_scripts": [
            "neovortex=neovortex.cli:main",
        ],
    },
    include_package_data=True,
    zip_safe=False,
)